FileInputStream Class Reference

InputStream implemented on top of APR file IO. More...

Inheritance diagram for FileInputStream:

## Public Member Functions

| FileInputStream (const LogString &filename)
| Creates a FileInputStream by opening a connection to an actual file, the file named by the path name name in the file system. More...
| FileInputStream (const logchar *filename)
| FileInputStream (const File &aFile)
| Creates a FileInputStream by opening a connection to an actual file, the file named by the File object file in the file system. More...
virtual | ~FileInputStream ()
virtual void | close ()
| Closes this file input stream and releases any system resources associated with the stream. More...
virtual int | read (ByteBuffer &buf)
| Reads a sequence of bytes into the given buffer. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Member Functions inherited from InputStream
| InputStream ()
virtual | ~InputStream ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

InputStream implemented on top of APR file IO.

## Constructor & Destructor Documentation

## FileInputStream() [1/3]

FileInputStream | ( | const LogString & | filename | ) |

Creates a FileInputStream by opening a connection to an actual file, the file named by the path name name in the file system.

Parameters

  filename | The system-dependent file name.

## FileInputStream() [2/3]

FileInputStream | ( | const logchar * | filename | ) |

## FileInputStream() [3/3]

FileInputStream | ( | const File & | aFile | ) |

Creates a FileInputStream by opening a connection to an actual file, the file named by the File object file in the file system.

Parameters

  aFile | The file to be opened for reading.

## ~FileInputStream()

virtual ~FileInputStream | ( |  | ) |

virtual

## Member Function Documentation

## close()

virtual void close | ( |  | ) |

virtual

Closes this file input stream and releases any system resources associated with the stream.

Implements InputStream.

## read()

virtual int read | ( | ByteBuffer & | buf | ) |

virtual

Reads a sequence of bytes into the given buffer.

Parameters

  buf | The buffer into which bytes are to be transferred.

Returns
  the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Implements InputStream.

The documentation for this class was generated from the following file:

- fileinputstream.h